# $EPIC: chanmode,v 1.3 2001/07/23 22:38:14 jnelson Exp $
Synopsis:
   $chanmode(<channel list>)

Technical:
   * If the <channel list> argument is omitted, the current channel is 
     used.  THIS MAY NOT BE THE CORRECT CHANNEL IN AN /ON!
   * <channel list> is taken as a word list (space separated) of channel
     names.  The asterisk ("*") is a special channel name that refers to 
     the current window's current channel.  THIS MAY NOT BE THE CORRECT
     CHANNEL IN AN /ON!
   * The return value is a word list of channel modes corresponding in 
     order to <channel list>.  If a specified channel in <channel list>
     does not have a key, the asterisk ("*") character will indicate that
     there is "no mode".
   * You must be on the channel.
   * Before the /ON CHANNEL_SYNC for the channel is thrown, this function
     may return "no mode" ("*");
   * Channel modes may include spaces, but the return value will not surround
     each channel's mode with double-quotes.  This may be enough of a problem 
     that you probably should avoid requesting more than one channel's mode
     at a time, even though you technically can.

Practical:
   This function is used to fetch a channel's mode.  Any number of channels
   may be specified, though the output could be confusing if some have the
   channel modes that take arguments set.  You must be on the channels or
   you will get the "no mode" indicator ("*").

Returns:
   A list of channel modes for a list of given channels.  The "*" is used
   as an indicator of "no modes" for the channel.  There shouldn't be any
   error condition returned by this function.

History:
   This function first appeared in EPIC3pre7.

See Also:
   key(6)

